function [ns rangeValue] = adk1_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the La/YbN vs YbN for adakites (Martin, 1986)
%D is the matrix with the whole database (43 columns and samples in rows)
% La(26) Yb(39) Sr(22) Y(25) 
% SM1995 La = 0.237 Yb = 0.161

N=size(D,1);
for i=1:N
    D(i,26)=D(i,26)./0.237;
    D(i,39)=D(i,39)./0.161;
end

% Calculate if values are out of range of the plot
rangeValue = outOfRange(D(:,39),D(:,26)./D(:,39),0,55,0,500);

fid=fopen(filename,'w');

fprintf(fid,'#YbN LaN/YbN\n');

[a,ind]=sort(D(:,1));
fprintf(fid,'%f %f\n',D(ind(1),39),D(ind(1),26)./D(ind(1),39));
ns=1;

for i=2:N
    if D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
       ns=ns+1;
    end
   fprintf(fid,'%f %f\n',D(ind(i),39),D(ind(i),26)./D(ind(i),39));
end

fclose(fid);

end
