function [ns rangeValue]=adk2_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the Sr/Y vs Y for adakites (Martin, 1986)
%D is the matrix with the whole database (43 columns and samples in rows)
% La(26) Yb(39) Sr(22) Y(25) 
% SM1995 La = 0.237 Yb = 0.161

rangeValue = -1;

N=size(D,1);

% First, if there are values out of range
% Y between [0:55] Sr/Y between [0:500]
Y = D(:,25);
SrY = D(:,22)./D(:,25);

if(Y>55 || Y<0)
  rangeValue = 1;
endif

if(SrY>500 || SrY < 0)
  rangeValue = 1;
endif

% Now the plot
fid=fopen(filename,'w');

fprintf(fid,'#Y Sr/Y\n');

[a,ind]=sort(D(:,1));
fprintf(fid,'%f %f\n',D(ind(1),25),D(ind(1),22)./D(ind(1),25));
ns=1;

for i=2:N
    if D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
       ns=ns+1;
    end
   fprintf(fid,'%f %f\n',D(ind(i),25),D(ind(i),22)./D(ind(i),25));
end

fclose(fid);

end
