function ns=afm_outfile(filename,D)
%ns=afm_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the AFM diagram.
%D is the matrix with the whole database (13 columns and samples in rows)
%ns is the number of series in the data

N=size(D,1);

fid=fopen(filename,'w');

fprintf(fid,'# A F M \n');

[tmp,ind]=sort(D(:,1));
ns=1;

for i=1:N
	if i>1 && D(ind(i),1)~=D(ind(i-1),1)
	   fprintf(fid,'\n\n');
           ns=ns+1;
        end

        A=D(ind(i),10)+D(ind(i),11);
        F=(0.8998.*D(ind(i),5))+D(ind(i),6);
        M=D(ind(i),8);
        sum=A+F+M;
% normalizing to 100%   
        A=(100*(A./sum));
        F=(100*(F./sum));
        M=(100*(M./sum)); 

        fprintf(fid,'%f %f %f\n',A,F,M);
end 

fclose(fid);

end
