function [simplex simplexVar totVar]=astats(data)
% A function to produce the whole Aitchison's stats in major elements
% This is the Aitchison version stats doesn't work with NaN in the data

d=data(:,2:12);
d(:,5)= (d(:,4)*0.8998)+d(:,5); % adding the two irons as FeO*
d(:,4)=[]; % deleting Fe2O3

dilr = ilr(d,0.01,100); %using the ilr transformation here

simplex(1,:)=mean(dilr);
simplex(2,:)=quantile(dilr,0);
simplex(3,:)=quantile(dilr,0.25);
simplex(4,:)=quantile(dilr,0.5);
simplex(5,:)=quantile(dilr,0.75);
simplex(6,:)=quantile(dilr,1);
% back to the simplex 
simplex=invilr(simplex,100);
simplex = simplex'; % for printing

% variation matrix
m=size(d);
for i=1:m(2)
  for j=1:m(2)
    simplexVar(i,j) = var(log(d(:,i)./d(:,j)));
  end
end

%mean matrix
for i=1:m(2)
  for j=1:m(2)
    simplexMean(i,j) = mean(log(d(:,i)./d(:,j)));
  end
end

% clr means
clrMeans = (1/(2 * m(2))) * sum(simplexVar,2);

% total variance
totVar =  sum(clrMeans);

% Now I will combine the matrices so the top is the varMatrix and
% the bottom is the meanMatrix

for j=1:m(2)
    for i=j+1:m(2)
    simplexVar(i,j)=simplexMean(i,j);
    end
end

% Finally, I am going to add the clrmeans column at the right side
simplexVar = [simplexVar clrMeans];

return