# gnuplot implementation of a ternary diagram
# for the Barker plot
#set terminal postscript color enhanced font 'Helvetica14'
#load 'style.gp'
set bmargin 3
set lmargin 3
set rmargin 3
set tmargin 3
set size square
set yrange [0:1]
set xrange [0:1]
unset key
unset border
unset xtics
unset ytics
set title 'Granite clasification using molecular normative An-Ab-Or (Barker, 1979)'
set label 'Ab' at 0, -0.03 center
set label 'Or' at 1, -0.03 center
set label 'An' at 0.5, 0.9 center
#edges of the triangle
# x
set arrow 1 from 0,0 to 1, 0.0 nohead linestyle 61
# z
set arrow 2 from 1, 0 to 0.50, 0.866 nohead linestyle 61
# y
set arrow 3 from 0.50, 0.866 to 0,0 nohead linestyle 61

# The lines

set arrow 4 from 0.15,0.2598076211 to 0.33,0.1558845727 nohead linestyle 61
set arrow 5 from 0.3,0.1732050808 to 0.45,0.4330127019 nohead linestyle 61
set arrow 6 from 0.33,0.1558845727 to 1,0 nohead linestyle 61
set arrow 7 from 0.33,0.1558845727 to 0.3,0 nohead linestyle 61
set arrow 8 from 0.42275,0.1338009249 to 0.575,0.3897114317 nohead linestyle 61
set arrow 9 from 0.5591,0.1023642027 to 0.675,0.30310880 nohead linestyle 61

# The labels
set label 'Tonalite' at 0.25,0.3 rotate by 30 font 'Helvetica,9'
set label 'Granodiorite' at 0.38,0.25 rotate by 30 font 'Helvetica,9'
set label 'Quartz' at 0.5,0.2 rotate by 30 font 'Helvetica,9'
set label 'Monzonite' at 0.5,0.18 rotate by 30 font 'Helvetica,9'
set label 'Trondhjemite' at 0.2,0.1039230485 center font 'Helvetica,9'
set label 'Granite' at 0.45,0.07 center font 'Helvetica,9'