function ns=bk_outfile(filename,D)
%ns=bk_outfile(filename,D)
%
%serie SiO2 TiO2 Al2O3 Fe2O3 FeO MnO MgO CaO Na2O K2O P2O5 LOI
%  1     2    3    4     5    6   7   8   9   10   11  12  13
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the Baker diagram.
%D is the matrix with the whole database (13 columns and samples in rows)
%ns is the number of series in the data

N=size(D,1);
fid=fopen(filename,'w');

% First, we calculate the molecular norm using the new niggli script

Dniggli=norm([D(:,2:11) zeros(N(1),2) D(:,12) zeros(N(1),2)],-1); % -1 for Niggli, 1 for cipw

  Dniggli(:,1)=D(:,1);
                     % we don't care about quartz from the norm so
                     % we use the columns for the idexes

% And now we follow like in the AFM plot
fprintf(fid,'# Ab An Or\n');

[tmp,ind]=sort(Dniggli(:,1));
ns=1;

for i=1:N
	if i>1 && Dniggli(ind(i),1)~=Dniggli(ind(i-1),1)
	   fprintf(fid,'\n\n');
           ns=ns+1;
        end

        Ab=Dniggli(ind(i),5);
        An=Dniggli(ind(i),6);
        Or=Dniggli(ind(i),3);
        sum=Ab+An+Or;
% normalizing to 100%   
        Ab=(100*(Ab./sum));
        An=(100*(An./sum));
        Or=(100*(Or./sum)); 

        fprintf(fid,'%f %f %f\n',Ab,An,Or);
end 

fclose(fid);

end
