function ns=cmas_outfile(filename,D)
%ns=cmas_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the CMAS projection.
%D is the matrix with the whole database (13 columns and samples in rows)
%ns is the number of series in the data

% First a vector with the molecular weights of the major elements
MP=[60.08 79.87 101.96 79.8 71.84 70.94 40.30 56.08 61.98 94.20 141.94];
MP=0.01.*MP;

% And the projection matrix
A1=[4 0 -4 0;-1.5 1.5 1.5 0;0 0 2 0;-1.5 -0.5 1.5 1];

N=size(D,1);

% calculating the molecular proportion
for i=1:N
  D(i,2:12)=D(i,2:12)./MP;
end

fid=fopen(filename,'w');

fprintf(fid,'# C M A S Di Ne Qz\n');

[tmp,ind]=sort(D(:,1));
ns=1;

for i=1:N
	if i>1 && D(ind(i),1)~=D(ind(i-1),1)
	   fprintf(fid,'\n\n');
           ns=ns+1;
        end

        C=D(ind(i),9)-(3.3333*D(ind(i),12))+(2*D(ind(i),10))+(2*D(ind(i),11));
        M=D(ind(i),6)+D(ind(i),7)+D(ind(i),8);
        A=D(ind(i),4)+D(ind(i),10)+D(ind(i),11);
        S=D(ind(i),2)-(2*D(ind(i),10))-(2*D(ind(i),11));
        C1=[C M A S]';
        P=A1*C1;
        P(2)=[];
        suma=sum(P);
        P=(100/suma).*P;
        fprintf(fid,'%f %f %f %f %f %f %f\n',C,M,A,S,P(2),P(1),P(3));
end 

fclose(fid);

end
