# gnuplot implementation of the TAS  diagram
# Cox et al (1979) version
# to use, simply call the script with the following command:
# gnuplot> load "terno.gp" 
# your file needs to be called and have two columns, the first one needs to be SiO2
# the second one needs to be the total alkali
#------------------------------
# The margins
set bmargin 3
set tmargin 3
set lmargin -1
set bmargin -1
#set output 'TAS.eps'
#------------------------------
set label 'nephelinites' at 40,7 rotate by 48 font 'Helvetica,9'
set label 'phonolitic nephelinites' at 44.5,10 rotate by 48 font 'Helvetica,9'
set label 'phonolitic tephrites' at 47.5,9.5 rotate by 45 font 'Helvetica,9'
set label 'basanites and tephrites' at 42,5 rotate by 50 font 'Helvetica,9'
set label 'phonolites' at 55,13 center font 'Helvetica,9'
set label 'trachytes' at 63,11 center font 'Helvetica,9'
set label 'rhyolites' at 68.5,8 center font 'Helvetica,9'
set label 'dacites' at 66,5.5 center font 'Helvetica,9'
set label 'andesites' at 58.5,4 center font 'Helvetica,9'
set label 'basalts' at 48,4 center font 'Helvetica,9'
set label 'hawaiites' at 50,6.5 center font 'Helvetica,9'
set label 'mugearites' at 51,8 center font 'Helvetica,9'
set label 'benmoreites' at 56,10 center font 'Helvetica,9'
set label 'trachyandesite' at 59,8 center font 'Helvetica,9'
set label 'picritic basalt' at 42,3 rotate by -15 font 'Helvetica,9'
set label 'trachybasalt' at 53.5,7.5 rotate by 45 font 'Helvetica,9'
set label 'basaltic andesite' at 54,2.5 rotate by 90 font 'Helvetica,9'
#------------------------------
set title 'TAS Diagram (Cox et al., 1979)'
set xlabel 'SiO_2 (wt%)'
set ylabel 'Na_2O + K_2O (wt%)'
#------------------------------