# gnuplot implementation of the TAS  diagram
# Cox et al (1979) version
# modified by Marge for igneous rocks
# to use, simply call the script with the following command:
# gnuplot> load "terno.gp" 
# your file needs to be called and have two columns, the first one needs to be SiO2
# the second one needs to be the total alkali
#------------------------------
# The margins
set bmargin 3
set tmargin 3
set lmargin -1
set bmargin -1
#set output 'TAS.eps'
#------------------------------
set label 'Nepheline' at 55,13.5 center font 'Helvetica,9'
set label 'syenite' at 55,13.1 center font 'Helvetica,9'
set label 'Syenite' at 55,10 center font 'Helvetica,9'
set label 'Syenite' at 63,11 center font 'Helvetica,9'
set label 'Syeno-diorite' at 55,8 center font 'Helvetica,9'
set label 'Ijolite' at 40,7 center font 'Helvetica,9'
set label 'Gabbro' at 50,6.2 center font 'Helvetica,9'
set label 'Gabbro' at 48,4.4 center font 'Helvetica,9'
set label 'Gabbro' at 50,3 center font 'Helvetica,9'
set label 'Diorite' at 58.5,4 center font 'Helvetica,9'
set label 'Alkali granite' at 68,9 center font 'Helvetica,9'
set label 'Granite' at 69,7 center font 'Helvetica,9'
set label 'Quartz' at 66,6 center font 'Helvetica,9'
set label 'diorite' at 66,5.6 center font 'Helvetica,9'
set label '(granodiorite)' at 66,5.2 center font 'Helvetica,9'
#------------------------------
set title 'TAS Diagram for igneous rocks (Cox et al., 1979; modified by Wilson, 1989)'
set xlabel 'SiO_2 (wt%)'
set ylabel 'Na_2O + K_2O (wt%)'
#------------------------------