function [ns maxim minim]=gen2_outfile(filename,D,iX,iY,Xname,Yname,cuadro,LogScaleX,LogScaleY)
%gen2_outfile(filename,D,iX,iY,Xname,Yname)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in a generic binary diagram.
%D is the matrix with the whole database (13 columns and samples in rows)
%iX and iY are the column indexes of the elements to be plotted in X and Y

N=size(D,1);

fid=fopen(filename,'w');

fprintf(fid,'# %s %s \n',Xname,Yname);

[a,ind]=sort(D(:,1));

%% Finding the plotting range in the set for a square plot

maximX=max(D(:,iX));
maximY=max(D(:,iY));

minimX=min(D(:,iX));
minimY=min(D(:,iY));

deltaX=maximX-minimX;
deltaY=maximY-minimY;

if(deltaX>=deltaY)
  delta=deltaX;
 else
  delta=deltaY;
end

minim(1,1)=minimX;
minim(1,2)=minimY;
maxim(1,1)=minimX+(1.1*delta); % so the range is the same for both axes
maxim(1,2)=minimY+(1.1*delta);

% getting rid of negative and zero values for logscale
if(strcmp(LogScaleX,'yes'))
  for i=1:N
    if(D(i,iX)<=0)
      D(i,iX)=NaN;
    end
  end
end

if(strcmp(LogScaleY,'yes'))
  for i=1:N
    if(D(i,iY)<=0)
      D(i,iY)=NaN;
    end
  end
end


fprintf(fid,'%f %f\n',D(ind(1),iX),D(ind(1),iY));
ns=1;

for i=2:N
    if D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
       ns=ns+1;
    end
    fprintf(fid,'%f %f\n',D(ind(i),iX),D(ind(i),iY));
end

fclose(fid);

end
