function ns=gen3_outfile(filename,D,iX,iY,iZ,Xname,Yname,Zname)
%ns=gen3_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the ternary diagram.
%D is the matrix with the whole database (13 columns and samples in rows)
%ns is the number of series in the data

N=size(D,1);

fid=fopen(filename,'w');

fprintf(fid,'# A F M \n');

[tmp,ind]=sort(D(:,1));
ns=1;

for i=1:N
    if i>1 && D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
           ns=ns+1;
        end

        X=D(ind(i),iX);
        Y=D(ind(i),iY);
        Z=D(ind(i),iZ);
        sum=X+Y+Z;
% normalizing to 100%   
        X=(100*(X./sum));
        Y=(100*(Y./sum));
        Z=(100*(Z./sum)); 

        fprintf(fid,'%f %f %f\n',X,Y,Z);
end 

fclose(fid);

end
