function A=ilr(B,ld,c)
% Calculates the ilr transformation of the data, following Egozcue et al
% 2003. Input are the row compositional vectors
m=size(B);
if nargin < 3
   ld=input('detection limit for zero replacement?');
   c=input('closure constant?');     
end
%-------Multiplicative replacement
for i=1:m(1)
    delta=1;
    index=0;
    %------counting how many zeros
    for j=1:m(2)
        if B(i,j)==0
            index=index+1;
        end
    end
    if index>0
        %------calculating the multiplicative replacement
        for j=1:index
            delta=delta.*ld;
        end
        delta=delta./c;    
        delta=1-delta;
        %------replacing
        for j=1:m(2)
            if B(i,j)==0
                B(i,j)=ld;
            else
                B(i,j)=delta.*B(i,j);
            end
        end
    end   
end
%--------Normalizing to closure constant--------------------
suma=sum(B,2);
for i=1:m(1)
    for j=1:m(2)
        B(i,j)=(B(i,j).*c)./suma(i,1);
    end
end
%-----------the ilr transformation--------------------------
for i=1:m(1)
    for j=1:(m(2)-1)
        gm=1;
        for k=1:j
         gm=gm*B(i,k);
        end
        gm = gm^(1./j);
        A(i,j)=sqrt(j/(j+1))*log(gm/B(i,j+1));
    end
end

        
        
        
        
        
        
        