# gnuplot implementation of a ternary diagram
# for the Jensen Plot
#set terminal postscript color enhanced font 'Helvetica14'
#load 'style.gp'
set bmargin 3
set lmargin 3
set rmargin 3
set tmargin 3
set size square
set yrange [0:1]
set xrange [0:1]
unset key
unset border
unset xtics
unset ytics
set label 'Al' at 0, -0.03 center
set label 'Mg' at 1, -0.03 center
set label 'Fe_{tot} + Ti' at 0.5, 0.9 center
#edges of the triangle
# x
set arrow 1 from 0,0 to 1, 0.0 nohead linestyle 61
# z
set arrow 2 from 1, 0 to 0.50, 0.866 nohead linestyle 61
# y
set arrow 3 from 0.50, 0.866 to 0,0 nohead linestyle 61

# The lines

set arrow 4 from 0.2,0 to 0.1,0.1732050808 nohead linestyle 62
set arrow 5 from 0.3,0 to 0.15,0.2598076211 nohead linestyle 62
set arrow 6 from 0.4,0 to 0.2,0.3464101615 nohead linestyle 62
set arrow 7 from 0.33,0.2511473671 to 0.25,0.4330127019 nohead linestyle 62
set arrow 8 from 0.372,0.2165063509 to 0.5,0.2886751346 nohead linestyle 62
set arrow 9 from 0.5,0 to 0.5,0.5196152423 nohead linestyle 61
set arrow 10 from 0.6,0 to 0.8,0.3464101615 nohead linestyle 61

# The labels
set label 'High-Fe' at 0.4,0.4330127019 center font 'Helvetica,9'
set label 'tholeiite' at 0.395,0.40703319398 center font 'Helvetica,9'
set label 'basalt' at 0.39,0.3810511777 center font 'Helvetica,9'
#
set label 'Komatiite' at 0.805,0.1299038106 center font 'Helvetica,9'
set label 'Komatiitic' at 0.6,0.2598076211 center font 'Helvetica,9'
set label 'basalt' at 0.595,0.233826859 center font 'Helvetica,9'
#
set label 'Tholeiite' at 0.19,0.3 rotate by 30 font 'Helvetica,9'
set label 'Calc-Alkaline' at 0.1391752577,0.116065263 rotate by 30 font 'Helvetica,9'
#
set label 'High-Mg' at 0.455,0.2165063509 center font 'Helvetica,9'
set label 'tholeiite' at 0.46,0.1905255888 center font 'Helvetica,9'
set label 'basalt' at 0.465,0.1645448267 center font 'Helvetica,9'
#
set label 'rhyolite' at 0.075,0.0433012702 rotate by -15 font 'Helvetica,9'
set label 'dacite' at 0.205,0.0433012702 rotate by -15 font 'Helvetica,9'
set label 'andesite' at 0.295,0.0433012702 rotate by -15 font 'Helvetica,9'
set label 'basalt' at 0.345,0.1299038106 rotate by -15 font 'Helvetica,9'
#
set label 'rhyolite' at 0.1,0.145 rotate by 30 font 'Helvetica,9'
set label 'dacite' at 0.19,0.24 rotate by -15 font 'Helvetica,9'
set label 'andesite' at 0.24,0.30331088913 rotate by -15 font 'Helvetica,9'