function ns=jn_outfile(filename,D)
%ns=jn_outfile(filename,D)
%
%serie SiO2 TiO2 Al2O3 Fe2O3 FeO MnO MgO CaO Na2O K2O P2O5 LOI
%  1     2    3    4     5    6   7   8   9   10   11  12  13
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the Jensen diagram.
%D is the matrix with the whole database (13 columns and samples in rows)
%ns is the number of series in the data

N=size(D,1);
fid=fopen(filename,'w');

% First, we transform the data to cation %
EW=[60.1 79.9 51.0 79.8 71.8 70.9 40.3 56.1 31.0 47.1 71.0 0.81];
for i=1:N(1)
  D(i,2:13)=D(i,2:13)./EW;
end

% We normalize the cations to 100 %
total=100./sum(D(:,2:13),2);
for i=1:N(1)
  D(i,2:13)=D(i,2:13).*total(i);
end

% And now we follow like in the AFM plot

fprintf(fid,'# Al Fetot+Ti Mg\n');

[tmp,ind]=sort(D(:,1));
ns=1;

for i=1:N
	if i>1 && D(ind(i),1)~=D(ind(i-1),1)
	   fprintf(fid,'\n\n');
           ns=ns+1;
        end

        Al=D(ind(i),4);
        % no 0.8998 mess since we are adding cations!
        FeTi=D(ind(i),3)+D(ind(i),5)+D(ind(i),6);
        Mg=D(ind(i),8);
        sum=Al+FeTi+Mg;
% normalizing to 100%   
        Al=(100*(Al./sum));
        FeTi=(100*(FeTi./sum));
        Mg=(100*(Mg./sum)); 

        fprintf(fid,'%f %f %f\n',Al,FeTi,Mg);
end 

fclose(fid);

end
