function varargout=key_plot(pip,keyfilename,ns,ifsymbols,gpdir,pathout)
% A function to generate the key, should work together with a
% key.gp and reads the file *key.txt that pingu creates with the labels
% ns =n-1 series since C index style in gnuplot (ns=number of series)
% The symbols are plotted at (1,x) while the strings are plotted at (2,x) 

[fid,msg]=fopen([keyfilename '.txt'],'r');
if nargout>0
   varargout{1}=fid;
end
if nargout>1
   varargout{2}=msg;
end
%if fid>0 %skip header created by octave
%   for i=1:5; tmp=fgets(fid); end;
%end
%set parameters to plot with gnuplot
fprintf(pip,"reset\n");
if(strcmp(ifsymbols,'yes'))
    fprintf(pip,"load '%sstylecustom.gp'\n",pathout);        
else
    fprintf(pip,"load '%sstyle1.gp'\n",gpdir);
end

fprintf(pip,"load '%skey.gp'\n",gpdir);
fprintf(pip,"set output '%s.eps'\n",keyfilename);

if ns<=10
  style=40;
else
  style=1;
end

%read key labels from file and store them
maxl=0; %length of the longest label
if fid>0
   for i=1:ns
       if !feof(fid)
         labelr=fgets(fid);
         label{i}=labelr(1:length(labelr)-1);
         if length(labelr)>maxl; maxl=length(labelr); end;
       else
         label{i}=' ';
       end
   end
   fclose(fid);
end

lchar=1/60;     %average size/length of a character
lablen=maxl*lchar;  %length of the longest label

sx=0.2 + lablen/3;
sy=0.2 + ns/30;
lspc=sx/10;

%set the size of the figure
fprintf(pip,"set size %g,%g\n",sx,sy);

%set figure size
fprintf(pip,"set xrange [%g:%g]\n",1-lspc,lablen+1);
fprintf(pip,"set yrange [0:%d]\n",ns+2);
                    
%add 'key' title
fprintf(pip,"set label 'Key' at %g,%g left\n",1+lspc,ns+1);

%put the labels in the figure
for i=1:ns
   posy=ns-i+1;%(max(15,ns)-i+1);
   fprintf(pip,"set label '%s' at %g,%g left\n",label{i},1+lspc,posy); 
end

%plot symbols
str=["plot '-' u 1:2 w p ls " num2str(style)]; % [0:2][-1:%d]
for i=2:ns
   str=[str ", '-' u 1:2 w p ls " num2str(style+i-1)];
end
fprintf(pip,[str "\n"],ns+1);


for i=1:ns
   posy=ns-i+1;%(max(15,ns)-i+1);
   fprintf(pip,"1 %f\n",posy);
   fprintf(pip,"e\n");
end


% For the svg we repeat the last interactive bit changing the terminal

  fprintf(pip, "set terminal svg\n");
  fprintf(pip,"set output '%s.svg'\n",keyfilename);
  
%plot symbols
str=["plot '-' u 1:2 w p ls " num2str(style)]; % [0:2][-1:%d]
for i=2:ns
   str=[str ", '-' u 1:2 w p ls " num2str(style+i-1)];
end
fprintf(pip,[str "\n"],ns+1);


for i=1:ns
   posy=ns-i+1;%(max(15,ns)-i+1);
   fprintf(pip,"1 %f\n",posy);
   fprintf(pip,"e\n");
end


end
