function load_style(pip,symbols,sizes,whatplot,pathout)

custom_output=[pathout 'stylecustom.gp'];
out=fopen(custom_output,'w');

%creating the file that will be used by the key script
fprintf(out,"set terminal postscript color enhanced\n");
fprintf(out,"set datafile missing 'NaN'\n");
fprintf(out,"set style line 61 lt -1 lw 1 pt -1 ps 1 lc rgb '#000000'\n");
fprintf(out,"set style line 62 lt 0 lw 2 pt -1 ps 1 lc rgb '#000000'\n");
fprintf(out,"set style line 33 lt -1 lw 1 pt 7 ps 1 lc rgb '#AAAAAA'\n");
fprintf(out,"set style line 34 lt -1 lw 1 pt 7 ps 1 lc rgb '#00FFFF'\n");
fprintf(out,"set style line 35 lt -1 lw 1 pt 7 ps 1 lc rgb '#FF4500'\n");
fprintf(out,"set style line 36 lt -1 lw 1 pt 7 ps 1 lc rgb '#8E8E38'\n");
fprintf(out,"set style line 37 lt -1 lw 1 pt 7 ps 1 lc rgb '#8E388E'\n");
fprintf(out,"set style line 38 lt -1 lw 1 pt 7 ps 1 lc rgb '#8B4726'\n");
fprintf(out,"set style line 39 lt -1 lw 1 pt 7 ps 1 lc rgb '#FF1493'\n");

m=size(symbols);

%% finding rgb code
counter=0; # how many rgb colours are in the string

for i=m(2):-1:1 % as deleting, is important to go backwards
    if(strcmp(symbols(i),'#')==1) % an rgb colour
	    counter=counter+1;
            rgbCol{counter}=symbols(i+1:i+6);
            % now deleting the rgb numbers leaving only the # symbol
            symbols(i+1:i+6)=[];
    end            
end

if(counter==0) % no rgb colour found
    rgbCol{1}='empty'; % as it passes to the colour function it needs to exist
    counter=1; % not really needed in any case
end

    rgbCol=toupper(rgbCol);

% re-measure symbols length
m=size(symbols);

%% Delete blank and return character from the string with the symbols
for i=m(2):-1:1
    if(strcmp(symbols(i),' '))
        symbols(i)=[];
    elseif(strcmp(symbols(i),'\n'))
        symbols(i)=[];
    end
end

% re-measure symbols length
m=size(symbols);

if (mod(m(2),2)!=0) %the string needs to be even!
        fprintf(pip,"load '%sstyle1.gp'\n",gpdir); %set terminal and load styles
 else
   switch whatplot
      case 'harker'
        j=50;
        jl=40;
        sizes='0.6';
      case 'fenner'
        j=50;
        jl=40;
        sizes='0.6';
      otherwise
        j=40;
        jl=40;
   endswitch

% stuff for setting up the plot
fprintf(pip,"set terminal postscript color enhanced\n");
fprintf(pip,"set datafile missing 'NaN'\n");
fprintf(pip,"set style line 61 lt -1 lw 1 pt -1 ps 1 lc rgb '#000000'\n");
fprintf(pip,"set style line 62 lt 0 lw 2 pt -1 ps 1 lc rgb '#000000'\n");

for i=1:2:(m(2)-1)
	st=symbol_type(symbols(i));
        [counter sc]=colours(symbols(i+1),counter,rgbCol);
        str=sprintf("set style line %d lt -1 lw 1 pt %d ps %s lc rgb '%s'",j,st,sizes,sc);
        str2=sprintf("set style line %d lt -1 lw 1 pt %d ps 1 lc rgb '%s'",jl,st,sc);
        fprintf(pip,"%s\n",str);
        fprintf(out,"%s\n",str2);
        j=j+1;
        jl=jl+1;
end
 
end

fclose(out);
return
    
function [counter sc]=colours(s2,counter,rgbCol) 
switch s2
  case 'k'
    sc='#000000';
  case 'b'
    sc='#0000FF';
  case 'r'
    sc='#FF0000';
  case 'g'
    sc='#008000';
  case 'y'
    sc='#FFFF00';
  case 'm'
    sc='#FF00FF';
  case 'c'
    sc='#C0C0C0';
  case 'e'
    sc='#98CC97';
  case 'n'
    sc='#AF8454';
  case 'p'
    sc='#BA95CB';
  case 'w'
    sc='#EDEA8B';
  case 'l'
  sc='#40768D';
  case '#' % what comes is an rgb colour!
  sc=strcat('#',rgbCol{counter}); % in case of lowercase chars
  counter=counter -1; % order of symbols is backward
  otherwise
    sc='#000000'; %default is black
  endswitch
return

 function st=symbol_type(s1)
    switch s1
 case 'o'
    st=6;
 case 'O'
    st=6; 
 case '0'
    st=7;  
 case 's'
    st=4;
 case 'S'
    st=4;
 case '$'
    st=5; 
 case '+'
    st=1;
 case 'x'
    st=2;
 case 'X'
    st=2;
  case '^'
    st=8;
  case 'A'
    st=9;
  case 'v'
    st=10;
  case 'V'
    st=10;
  case 'w'
    st=11;
  case 'W'
   st=11;
  case '*'
    st=3;
  case 'd'
    st=12;
  case 'D'
    st=13;
  case '<'
    st=22;
  case '>'
    st=25;
  otherwise
    st=6; %default is a circle
  endswitch
return
