function ns=my74_outfile(filename,D)
%tas_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in a Miyashiro 1974 diagram.
%D is the matrix with the whole database (13 columns and samples in rows)

N=size(D,1);

fid=fopen(filename,'w');

fprintf(fid,'#SiO2 FeO/MgO \n');

[a,ind]=sort(D(:,1));
fprintf(fid,'%f %f\n',D(ind(1),2),((D(ind(1),5)*0.8998)+D(ind(1),6))./D(ind(1),8));
ns=1;

for i=2:N
    if D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
       ns=ns+1;
    end
    fprintf(fid,'%f %f\n',D(ind(i),2),((D(ind(i),5)*0.8998)+D(ind(i),6))./D(ind(i),8));
end

fclose(fid);

end
