function ns=pc1_outfile(filename,D)
%ns=pc1_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the AFM diagram.
%D is the matrix with the whole database (13 columns and samples in rows)
%ns is the number of series in the data

N=size(D,1);

fid=fopen(filename,'w');

#fprintf(fid,'# Zr Ti/100 3Y\n');

[tmp,ind]=sort(D(:,1));
ns=1;

for i=1:N
	if i>1 && D(ind(i),1)~=D(ind(i-1),1)
	   fprintf(fid,'\n\n');
           ns=ns+1;
        end

        Zr=D(ind(i),24);
        Tidiv100=(59.951.*D(ind(i),3));%TiO2 in wt% to Ti in ppm
        Y3=3.*D(ind(i),25);
        
        sum=Zr+Tidiv100+Y3;
% normalizing to 100%   
        Zr=(100*(Zr./sum));
        Tidiv100=(100*(Tidiv100./sum));
        Y3=(100*(Y3./sum)); 

        fprintf(fid,'%f %f %f\n',Zr,Tidiv100,Y3);
end 

fclose(fid);

end
