# gnuplot implementation of the Peccerillo diagram
# to use, simply call the script with the following command:
# gnuplot> load "pec.gp"
#------------------------------
set bmargin -1
set lmargin -1
set rmargin 3
set tmargin 3
#------------------------------
# The vertical lines 
set arrow 1 from 50,0 to 50,5.2  nohead linestyle 61
set arrow 2 from 57,0 to 57,5.2 nohead linestyle 61
set arrow 3 from 63,0 to 63,5.2 nohead linestyle 61
set arrow 4 from 70,0 to 70,5.2 nohead ls 61
#------------------------------
# The slopped lines
set arrow 5 from 45,1.38 to 48,1.7 nohead linestyle 62
set arrow 6 from 48,1.7 to 56,3.3 nohead linestyle 62
set arrow 7 from 56,3.3 to 63,4.2 nohead linestyle 62
set arrow 8 from 63,4.2 to 70,5.1 nohead linestyle 62
set arrow 9 from 70,5.1 to 70,4.61 nohead linestyle 62
set arrow 10 from 70,4.61 to 63,3.87 nohead linestyle 62
set arrow 11 from 63,3.87 to 56,2.98 nohead linestyle 62
set arrow 12 from 56,2.98 to 48,1.6 nohead linestyle 62
set arrow 13 from 48,1.6 to 45,1.38 nohead linestyle 62
#------------------------------
set arrow 14 from 45,0.98 to 49,1.28 nohead linestyle 62
set arrow 15 from 49,1.28 to 52,1.5 nohead linestyle 62
set arrow 16 from 52,1.5 to 63,2.48 nohead linestyle 62
set arrow 17 from 63,2.48 to 70,3.1 nohead linestyle 62
set arrow 18 from 70,3.1 to 75,3.43 nohead linestyle 62
#set arrow 19 from 75,3.43 to 75,3.25 nohead linestyle 62
set arrow 20 from 75,3.25 to 70,2.86 nohead linestyle 62
set arrow 21 from 70,2.86 to 63,2.32 nohead linestyle 62
set arrow 22 from 63,2.32 to 52,1.35 nohead linestyle 62
set arrow 23 from 52,1.35 to 49,1.1 nohead linestyle 62
set arrow 24 from 49,1.1 to 45,0.98 nohead linestyle 62
#------------------------------
set arrow 25 from 45,0.2 to 48,0.41 nohead linestyle 62
set arrow 26 from 48,0.41 to 61,0.97 nohead linestyle 62
set arrow 27 from 61,0.97 to 70,1.38 nohead linestyle 62
set arrow 28 from 70,1.38 to 75,1.51 nohead linestyle 62
#set arrow 29 from 75,1.51 to 75,1.44 nohead linestyle 62
set arrow 30 from 75,1.44 to 70,1.23 nohead linestyle 62
set arrow 31 from 70,1.23 to 61,0.8 nohead linestyle 62
set arrow 32 from 61,0.8 to 48,0.3 nohead linestyle 62
set arrow 33 from 48,0.3 to 45,0.2 nohead linestyle 62
# The labels
# 
set label 'B' at 48,0.2 center
set label 'BA' at 54,0.2 center
set label 'A' at 60,0.2 center
set label 'D' at 66,0.2 center
set label 'R' at 72,0.2 center
#
set label 'tholeiitic series' at 62,0.5 rotate by 15 font 'Helvetica,9'
set label 'calk-alkaline series' at 61,1.5 rotate by 15 font 'Helvetica,9'
set label 'high-K series' at 61,2.8 rotate by 15 font 'Helvetica,9'
set label 'shoshonitic series' at 58,4.2 rotate by 20 font 'Helvetica,9'
#------------------------------
set title 'K_2O vs SiO_2 diagram'
set xlabel 'SiO_2 (wt%)'
set ylabel 'K_2O (wt%)'
#------------------------------
