function [ns1, range]=ree_outfile(filename,D)
%ree_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in a REE diagram.
%D is the matrix with the whole database:
% D(:,1) serie D(:,2:13) major elements D(:,14:28) REE elements
% ns differs here from other plots and it is like the original
% series count vector

% First we sort the rows!
    D=sortrows(D);
% Now we prepare the outfile.   
    m=size(D);

% We will change any possible zero for a NaN
% For perverse data as Holly's 
for i=1:m(1)
    for j=1:m(2)
        if(D(i,j)<=0)
            D(i,j)=NaN;
        end
    end
end



        str=['LaCePrNdPmSmEuGdTbDyHoErTmYbLu'];%30 characters
        SM1995std=[0.237 0.613 0.0928 0.457 0.026 0.148 0.0563 0.199 ...
                 0.0361 0.246 0.0546 0.16 0.0247 0.161 0.0246];
   
        fid=fopen(filename,'w');
        fprintf(fid,'#elements\tsamples 1:%d in each column\n',m(1));
        [a,ind]=sort(D(:,1));
%------------------------------
%The old series count script now used in this context    
dummy=D(ind(1),1);
ns(1,1)=1;

n=1; %number of series
for i=2:m(1)
    if (D(ind(i),1)~=dummy)
        ns(n,2)=ind(i-1)+1;
        n=n+1;
        ns(n,1)=ind(i);
        dummy=D(ind(i),1);
    end
end
ns(n,2)=m(1)+1;
ns1=ns(:,2)-ns(:,1);
% ---------------------
% now cleaning the data
D=D(:,26:40);
% normalizing
for i=1:m(1)
    D(i,:)=D(i,:)./SM1995std;
end
%finding the maximum and minimum value of the normalized data
range=[max(max(D)) min(min(D))];

% generating the rest of the output
     j=1;
for i=1:2:29 %labels
    fprintf(fid,'%s',str(i:i+1));
    for k=1:m(1)
        fprintf(fid,'\t%f',D(k,j));
    end
    fprintf(fid,'\n');
    j=j+1;
end
fclose(fid);
end
