function [ns rangeValue]=roche_outfile(filename,D)
%roche_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in de la Roche et al., (1980) diagram.
%D is the matrix with the whole database (12 columns and samples in rows)

% First the molecular weights
MP=[60.08 79.87 101.96 159.69 71.84 70.94 40.30 56.08 61.98 94.20 141.94];
Nocat=[1 1 2 2 1 1 1 1 2 2 2];
N=size(D,1);


[a,ind]=sort(D(:,1));
for i=1:N(1)
  D(i,2:12)=(1000*D(i,2:12).*Nocat)./MP;
  R(i,1)=(4*D(i,2))-(11*(D(i,10)+D(i,11)))-(2*(D(i,3)+D(i,5)+D(i,6)));
  R(i,2)=(6*D(i,9))+(2*D(i,8))+D(i,4);
end


%Calculate if there are values out of range
rangeValue = outOfRange(R(:,1),R(:,2),0,3000,0,2330);

fid=fopen(filename,'w');

fprintf(fid,'#R1 R2\n');

fprintf(fid, '%f %f\n',R(ind(1),1),R(ind(1),2));

ns=1;

for i=2:N
    if D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
       ns=ns+1;
    end
    fprintf(fid, '%f %f\n',R(ind(i),1),R(ind(i),2));
end

fclose(fid);

end
