# gnuplot implementation of the Peccerillo diagram
# to use, simply call the script with the following command:
# gnuplot> load "pec.gp"
#------------------------------
set bmargin -1
set lmargin -1
set rmargin 3
set tmargin 3
#------------------------------
# The  lines 
set arrow 1 from 1,0 to 1,6  nohead linestyle 61
set arrow 2 from 1.1,0 to 1.1,6 nohead linestyle 62
set arrow 3 from 0.5,1 to 2,1 nohead linestyle 61
set arrow 4 from 0.5,0.5 to 2,2 nohead ls 62
#------------------------------
# The labels
# 
set label 'Metaluminous' at 0.8,2.8 center font 'Helvetica,12'
set label 'Peraluminous' at 1.6,2.8 center font 'Helvetica,12'
set label 'I-Type (--)' at 0.8,4 center font 'Helvetica,12'
set label 'S-Type (--)' at 1.6,4 center font 'Helvetica,12'
set label 'Peralkaline' at 0.8,0.4 center font 'Helvetica,12'
#------------------------------
set title 'A/CNK vs A/NK (Shand, 1927) diagram'
set xlabel 'A/CNK=Al_2O_3/[CaO + Na_2O + K_2O] (mol%)'
set ylabel 'A/NK= Al_2O_3/[Na_2O + K_2O] (mol%)'
#------------------------------
