function [ns rangeValue]=sh_outfile(filename,D)
%sh_outfile(filename,D)
%
%
%serie SiO2 TiO2 Al2O3 Fe2O3 FeO MnO MgO CaO Na2O K2O P2O5 LOI
%  1     2    3    4     5    6   7   8   9   10   11  12  13
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the Shand (1927) diagram.
%D is the matrix with the whole database (13 columns and samples in rows)
PM=[60.1 79.9 102 159.6 71.8 70.9 40.3 56.1 62 94.2 142];
N=size(D,1);

% Converting the weight % in molecular proportion
for i=1:N
  D(i,2:12)=D(i,2:12)./PM;
end

%normalizing volatile-free
total=100./sum(D(:,2:12),2);
for i=1:N
  D(i,2:12)=D(i,2:12).*total(i);
end

% A/CNK = D(:,4)./(D(:,9)+ D(:,10)+ D(:,11))
% A/NK = D(:,4)./(D(:,10)+ D(:,11))
  
%Calculate if there are values out of range
rangeValue = outOfRange(D(:,4)./(D(:,9)+ D(:,10)+ D(:,11)),D(:,4)./(D(:,10)+ D(:,11)),0.5,2,0,6);

  
fid=fopen(filename,'w');

fprintf(fid,'#A/CNK A/NK \n');

[a,ind]=sort(D(:,1));
fprintf(fid,'%f %f\n',D(ind(1),4)./(D(ind(1),9)+ D(ind(1),10)+D(ind(1),11)), D(ind(1),4)./(D(ind(1),10)+D(ind(1),11)));
ns=1;

for i=2:N
    if D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
       ns=ns+1;
    end
    fprintf(fid,'%f %f\n',D(ind(i),4)./(D(ind(i),9)+ D(ind(i),10)+D(ind(i),11)), D(ind(i),4)./(D(ind(i),10)+D(ind(i),11)));
end

fclose(fid);

end
