function [ns1, range]=sm_outfile(filename,D)
%ree_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in a Spider diagram; Sun & McDonough
%style. Normalized with N-MORB and distinction LIL/HFS
%D is the matrix with the whole database:
% D(:,1) serie D(:,2:13) major elements D(:,14:28) REE elements
% ns differs here from other plots and it is like the original
% series count vector
% Elements needed: Sr K Rb Ba Th Ta Nb Ce P Zr Hf Sm Ti Y Yb
%                 22 11 15 16 17 20 21 27 12 24 23 31 3 25 39 

% First we sort the data in case it comes scrambled
    D=sortrows(D);
    m=size(D);    
% We will change any possible zero for a NaN
% For perverse data as Holly's 
for i=1:m(1)
    for j=1:m(2)
        if(D(i,j)<=0)
            D(i,j)=NaN;
        end
    end
end

    str=['SrK RbBaThTaNbCeP ZrHfSmTiY Yb'];%30 characters
sm=[90 600 0.56 6.3 0.12 0.132 2.33 7.5 510 74 2.05 2.63 7600 28 3.05];
        fid=fopen(filename,'w');
        fprintf(fid,'#elements\tsamples 1:%d in each column\n',m(1));
        [a,ind]=sort(D(:,1));
%------------------------------
%The old series count script now used in this context    
dummy=D(ind(1),1);
ns(1,1)=1;

n=1; %number of series
for i=2:m(1)
    if (D(ind(i),1)~=dummy)
        ns(n,2)=ind(i-1)+1;
        n=n+1;
        ns(n,1)=ind(i);
        dummy=D(ind(i),1);
    end
end
ns(n,2)=m(1)+1;
ns1=ns(:,2)-ns(:,1);
%------------------------------
% now preparing the data
D=[D(:,22) D(:,11) D(:,15) D(:,16) D(:,17) D(:,20) D(:,21) D(:,27) D(:,12) D(:,24) D(:,23) D(:,31) D(:,3) D(:,25) D(:,39)];
%Dealing with oxides (K2O, TiO2 P2O5)
Kfactor=7096;
Tifactor=5993;
Pfactor=2182;
D(:,2)=D(:,2).*Kfactor;
D(:,9)=D(:,9).*Pfactor;
D(:,13)=D(:,13).*Tifactor;
% normalizing
for i=1:m(1)
    D(i,:)=D(i,:)./sm;
end
%finding the maximum and minimum value of the normalized data
range=[max(max(D)) min(min(D))];

% generating the rest of the output
     j=1;
for i=1:2:29 %labels
    fprintf(fid,'%s',str(i:i+1));
    for k=1:m(1)
        fprintf(fid,'\t%f',D(k,j));
    end
    fprintf(fid,'\n');
    j=j+1;
end
fclose(fid);
end
