#The terminal stuff
set terminal postscript color enhanced
#The line styles now
#-----------------------------
# The following command set NaN as missing data character
set datafile missing "NaN"
#
#Line styles for lines in plots
set style line 61 lt -1 lw 1 pt -1 ps 7 lc rgb '#000000' #solid
set style line 62 lt 0 lw 2 pt -1 ps 7 lc rgb '#000000'  #dashed
#------------------------------
#Line styles for plotting
# bo rx g^ k+ m* b^ ro g+ k* mx (Styles from the original octave version)
set style line 40 lt -1 lw 1 pt 7 ps 2 lc rgb '#0000FF' # Blue circle solid lines
set style line 41 lt -1 lw 1 pt 3 ps 2 lc rgb '#FF0000' # Red star solid lines
set style line 42 lt -1 lw 1 pt 11 ps 2 lc rgb '#008000' # Green triangle solid lines
set style line 43 lt -1 lw 1 pt 1 ps 2 lc rgb '#FF00FF' # Magenta cross solid lines
set style line 44 lt -1 lw 1 pt 6 ps 2 lc rgb '#000000' # black open circle solid lines
set style line 45 lt -1 lw 1 pt 2 ps 2 lc rgb '#0000FF' # Blue triangle solid lines
set style line 46 lt -1 lw 1 pt 9 ps 2 lc rgb '#FF0000' # Red cross solid line
set style line 47 lt -1 lw 1 pt 4 ps 2 lc rgb '#008000' # Green open square solid lines
set style line 48 lt -1 lw 1 pt 8 ps 2 lc rgb '#000000' # Black open triangle solid lines
set style line 49 lt -1 lw 1 pt 12 ps 2 lc rgb '#FF00FF' # Magenta open diamond solid lines
#------------------------------
#spare styles to fill the gap between gnuplot styles and this file
set style line 33 lt -1 lw 1 pt 7 ps 2 lc rgb '#AAAAAA' # Grey dots solid lines
set style line 34 lt -1 lw 1 pt 7 ps 2 lc rgb '#00FFFF' # Aqua dots solid lines
set style line 35 lt -1 lw 1 pt 7 ps 2 lc rgb '#FF4500' # Orange dots solid lines
set style line 36 lt -1 lw 1 pt 7 ps 2 lc rgb '#8E8E38' # Olive dots solid lines
set style line 37 lt -1 lw 1 pt 7 ps 2 lc rgb '#8E388E' # Violet dots solid lines
set style line 38 lt -1 lw 1 pt 7 ps 2 lc rgb '#8B4726' # Brown dots solid lines
set style line 39 lt -1 lw 1 pt 7 ps 2 lc rgb '#FF1493' # Pink dots solid lines
#
#Small Line styles for plotting to use with Harkers and Fenner diagrams
# bo rx g^ k+ m* b^ ro g+ k* mx (Styles from the original octave version)
set style line 50 lt -1 lw 1 pt 7 ps 0.6 lc rgb '#0000FF' # Blue circle solid lines
set style line 51 lt -1 lw 1 pt 3 ps 0.6 lc rgb '#FF0000' # Red star solid lines
set style line 52 lt -1 lw 1 pt 11 ps 0.6 lc rgb '#008000' # Green triangle solid lines
set style line 53 lt -1 lw 1 pt 1 ps 0.6 lc rgb '#FF00FF' # Magenta cross solid lines
set style line 54 lt -1 lw 1 pt 6 ps 0.6 lc rgb '#000000' # black open circle solid lines
set style line 55 lt -1 lw 1 pt 2 ps 0.6 lc rgb '#0000FF' # Blue triangle solid lines
set style line 56 lt -1 lw 1 pt 9 ps 0.6 lc rgb '#FF0000' # Red cross solid line
set style line 57 lt -1 lw 1 pt 4 ps 0.6 lc rgb '#008000' # Green open square solid lines
set style line 58 lt -1 lw 1 pt 8 ps 0.6 lc rgb '#000000' # Black open triangle solid lines
set style line 59 lt -1 lw 1 pt 12 ps 0.6 lc rgb '#FF00FF' # Magenta open diamond solid lines
#------------------------------
# Styles with only colours (NOT USED)
#set style line 40 lt -1 lw 2 pt 7 ps 1 lc rgb '#000000' # Black dots solid lines
#set style line 41 lt -1 lw 2 pt 7 ps 1 lc rgb '#FF0000' # Red dots solid lines
#set style line 42 lt -1 lw 2 pt 7 ps 1 lc rgb '#0000FF' # Blue dots solid lines
#set style line 43 lt -1 lw 2 pt 7 ps 1 lc rgb '#AAAAAA' # Grey dots solid lines
#set style line 44 lt -1 lw 2 pt 7 ps 1 lc rgb '#00FFFF' # Aqua dots solid lines
#set style line 45 lt -1 lw 2 pt 7 ps 1 lc rgb '#008000' # Green dots solid lines
#set style line 46 lt -1 lw 2 pt 7 ps 1 lc rgb '#FF00FF' # Magenta dots solid lines
#set style line 47 lt -1 lw 2 pt 7 ps 1 lc rgb '#FF4500' # Orange dots solid lines
#set style line 48 lt -1 lw 2 pt 7 ps 1 lc rgb '#8E8E38' # Olive dots solid lines
#set style line 49 lt -1 lw 2 pt 7 ps 1 lc rgb '#8E388E' # Violet dots solid lines
#set style line 50 lt -1 lw 2 pt 7 ps 1 lc rgb '#8B4726' # Brown dots solid lines
