# gnuplot implementation of the TAS  diagram
# to use, simply call the script with the following command:
# gnuplot> load "terno.gp" 
# your file needs to be called and have two columns, the first one needs to be SiO2
# the second one needs to be the total alkali
#------------------------------
# The margins
set bmargin 3
set tmargin 3
set lmargin -1
set bmargin -1
#set output 'TAS.eps'
#------------------------------
# The lines 
set arrow 1 from 41,0.5 to 41,3  nohead linestyle 61
set arrow 2 from 45,0.5 to 45,5  nohead linestyle 61
set arrow 3 from 41,3 to 45,3  nohead linestyle 61
set arrow 4 from 52,0.5 to 52,5  nohead linestyle 61
set arrow 5 from 57,0.5 to 57,5.9  nohead linestyle 61
set arrow 6 from 63,0.5 to 63,7  nohead linestyle 61
set arrow 7 from 77,0.5 to 69,8  nohead linestyle 61
set arrow 8 from 69,8 to 69,13  nohead linestyle 61
set arrow 9 from 45,3 to 41,3  nohead linestyle 61
set arrow 10 from 52,5 to 69,8  nohead linestyle 61
set arrow 11 from 45,5 to 52,5  nohead linestyle 61
set arrow 12 from 45,5 to 61,13.5  nohead linestyle 61
set arrow 13 from 45,9.4 to 52.5,14  nohead linestyle 61
set arrow 14 from 57.6,11.7 to 63,7  nohead linestyle 61
set arrow 15 from 53,9.3 to 57,5.9  nohead linestyle 61
set arrow 16 from 49.4,7.3 to 52,5  nohead linestyle 61
set arrow 17 from 45,9.4  to 49.4,7.3  nohead linestyle 61
set arrow 18 from 48.4,11.5 to 53,9.3  nohead linestyle 61
set arrow 19 from 57.6,11.7 to 52.5,14  nohead linestyle 61
set arrow 20 from 41,3 to 41,7  nohead linestyle 62
set arrow 21 from 41,7 to 45,9.4  nohead linestyle 62
set arrow 22 from 52.5,14 to 49,15.571 nohead linestyle 61
#------------------------------
# The labels
# PB B BA A D R
# TB BTA TA T TD
#TP PTP TPH PH
# F
set label 'PB' at 43,1 center
set label 'B' at 48.5,1 center
set label 'BA' at 54.5,1 center
set label 'A' at 60,1 center
set label 'D' at 66,1 center
set label 'R' at 75,8 center
set label 'TB' at 49,6.15 center
set label 'BTA' at 53,7.15 center
set label 'TA' at 58,8  center
set label 'T' at 65,10  center
set label 'TP' at 43,7  center
set label 'PTP' at 49,9.35  center
set label 'TPH' at 53,11.6  center
set label 'PH' at 57,14  center
set label 'F' at 43,10  center
#------------------------------
set title 'TAS Diagram (Le Maitre et al., 1989)'
set xlabel 'SiO_2 (wt%)'
set ylabel 'Na_2O + K_2O (wt%)'
#------------------------------