function [ns rangeValue]=tayb_outfile(filename,D)
%ns=pc1_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in the Nb vs Y discrimination diagram for granites.
%D is the matrix with the whole database (13 columns and samples in rows)
%ns is the number of series in the data

N=size(D,1);

fid=fopen(filename,'w');

#fprintf(fid,'# Yb Ta\n');

[tmp,ind]=sort(D(:,1));
ns=1;

for i=1:N
	if i>1 && D(ind(i),1)~=D(ind(i-1),1)
	   fprintf(fid,'\n\n');
           ns=ns+1;
        end
        Yb=D(ind(i),38);
        Ta=D(ind(i),20);
        fprintf(fid,'%f %f\n',Yb,Ta);
end

%Calculate if there are values out of range
rangeValue = outOfRange(Yb,Ta,0.1,100,0.1,100);


fclose(fid);

end
