function [ns upper lower]=variation_outfile(filename,D)
%tas_outfile(filename,D)
%
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in Harker diagrams.
%D is the matrix with the whole database (9 columns and samples in rows)

N=size(D,1);
upper=max([D(:,2) D(:,3) D(:,4) ((0.8998*D(:,5))+D(:,6)) D(:,8) D(:,9) D(:,10) D(:,11) D(:,12)]);
lower=min([D(:,2) D(:,3) D(:,4) ((0.8998*D(:,5))+D(:,6)) D(:,8) D(:,9) D(:,10) D(:,11) D(:,12)]);
fid=fopen(filename,'w');

fprintf(fid,'#SiO2 TiO2 Al2O3 FeO* MgO CaO K2O Na2O P2O5\n');

[a,ind]=sort(D(:,1));
fprintf(fid,'%f %f %f %f %f %f %f %f %f\n',D(ind(1),2),D(ind(1),3),D(ind(1),4),((0.8998*D(ind(1),5))+D(ind(1),6)),D(ind(1),8),D(ind(1),9),D(ind(1),10),D(ind(1),11),D(ind(1),12));
ns=1;

for i=2:N
    if D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
       ns=ns+1;
    end
    fprintf(fid,'%f %f %f %f %f %f %f %f %f\n',D(ind(i),2),D(ind(i),3),D(ind(i),4),((0.8998*D(ind(i),5))+D(ind(i),6)),D(ind(i),8),D(ind(i),9),D(ind(i),10),D(ind(i),11),D(ind(i),12));
end

fclose(fid);

end
