# gnuplot implementation of the Nb/Y vs Zr/Ti  classification  diagram
# Winchester and Floyd (1977)
#------------------------------
# The margins
set bmargin 3
set tmargin 3
set lmargin -1
set bmargin -1
#------------------------------
set title 'Nb/Y vs Zr/TiO_2 diagram (Winchester and Floyd, 1977)'
set xlabel 'Nb/Y (ppm)'
set ylabel 'Zr/TiO_2 (ppm)'
#------------------------------
# logarithm axes
set logscale
#
# Labels
set label 'subalkaline basalt' at 0.2,0.002 center
set label 'andesite basalt' at 0.1,0.008 center
set label 'andesite' at 0.07,0.025 center
set label 'rhyodacite dacite' at 0.15,0.08 center
set label 'rhyolite' at 0.4,0.3 center
set label 'alkali basalt' at 1.2,0.006 center
set label 'trachyandesite' at 1.5,0.05 center
set label 'comendite' at 0.8,1.5 center
set label 'pantellerite' at 0.8,1.1 center
set label 'phonolite' at 5,1 center
set label 'trachyte' at 2.6,0.15 center
set label 'basanite' at 3.5,0.007
set label 'nephelinite' at 3.5,0.0055
set xrange [0.01:10]
set yrange [0.001:10]
#set size ratio 1
