function [ns rangeValue]=w1_outfile(filename,D)
%w1_outfile(filename,D)
%
%This function creates an ASCII file with the name filename that contains
%the data to be plotted in a Winchester diagram.
%D is the matrix with the whole database (13 columns and samples in rows)
% D(:,21)=Nb, D(:,25)=Y, D(:,24)=Zr, D(:,3)=TiO2

N=size(D,1);

%Dealing with TiO2
Tifactor=10000;
D(:,3)=D(:,3)*Tifactor;

fid=fopen(filename,'w');

fprintf(fid,'#Nb/Y Zr/Ti\n');

[a,ind]=sort(D(:,1));
fprintf(fid,'%f %f\n',D(ind(1),21)./D(ind(1),25),D(ind(1),24)./D(ind(1),3));
ns=1;

for i=2:N
    if D(ind(i),1)~=D(ind(i-1),1)
       fprintf(fid,'\n\n');
       ns=ns+1;
    end
    fprintf(fid,'%f %f\n',D(ind(i),21)./D(ind(i),25),D(ind(i),24)./D(ind(i),3));
end

fclose(fid);

%Calculate if there are values out of range
rangeValue = outOfRange(D(:,21)./D(:,25),D(:,24)./D(:,3),0.01,10,0.001,10);


end
