# gnuplot implementation of the Nb/Y vs SiO2  classification  diagram
# Winchester and Floyd (1977)
#------------------------------
# The margins
set bmargin 3
set tmargin 3
set lmargin -1
set bmargin -1
#------------------------------
set title 'Nb/Y vs SiO_2 diagram (Winchester and Floyd, 1977)'
set xlabel 'Nb/Y (ppm)'
set ylabel 'SiO_2 (wt%)'
#------------------------------
# logarithm axes
set logscale x
#
# Labels
set label 'subalkaline basalt' at 0.1,48 center
set label 'andesite' at 0.2,58 center
set label 'rhyodacite dacite' at 0.2,68 center
set label 'rhyolite' at 0.5,77 center
set label 'alkali basalt' at 1.2,48 center
set label 'trachyandesite' at 1.5,56 center
set label 'comendite' at 5,75 center
set label 'pantellerite' at 5,74 center
set label 'phonolite' at 6,56 center
set label 'trachyte' at 5,63 center
set label 'basanite' at 5,45
set label 'nephelinite' at 5,44
set xrange [0.01:10]
set yrange [40:80]
#set size ratio 1
